Bug 128775 - [PATCH] net-p2p/rtorrent: fix build while no extra patch exists
Summary: [PATCH] net-p2p/rtorrent: fix build while no extra patch exists
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florent Thoumie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-11 03:50 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2008-11-16 22:30 UTC (History)
1 user (show)

See Also:


Attachments
rtorrent-0.7.9_2.patch (939 bytes, patch)
2008-11-11 03:50 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2008-11-11 03:50:01 UTC
- Wrap EXTRA_PATCHES in case no extra patch exists

Port maintainer (flz@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-11-11 03:50:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Florent Thoumie 2008-11-11 11:43:42 UTC
Can you describe the failure? It works just fine here.

-- 
Florent Thoumie
flz@FreeBSD.org
FreeBSD Committer
Comment 3 Jase Thew 2008-11-12 18:46:08 UTC
test# uname -rms
FreeBSD 6.3-RELEASE-p1 amd64

test# ident Makefile
Makefile:
      $FreeBSD: ports/net-p2p/rtorrent/Makefile,v 1.42 2008/11/10 
12:09:37 flz Exp $

test# make install clean
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for rtorrent-0.7.9_2
=> rtorrent-0.7.9.tar.gz doesn't seem to exist in /var/ports/distfiles/.
=> Attempting to fetch from http://libtorrent.rakshasa.no/downloads/.
rtorrent-0.7.9.tar.gz                         100% of  477 kB  257 kBps
===>  Extracting for rtorrent-0.7.9_2
=> MD5 Checksum OK for rtorrent-0.7.9.tar.gz.
=> SHA256 Checksum OK for rtorrent-0.7.9.tar.gz.
===>  Patching for rtorrent-0.7.9_2
===>  Applying extra patch /usr/ports/net-p2p/rtorrent/files/stable-*
cannot open /usr/ports/net-p2p/rtorrent/files/stable-*: No such file or 
directory
*** Error code 2

Stop in /usr/ports/net-p2p/rtorrent.
*** Error code 1

Stop in /usr/ports/net-p2p/rtorrent.

test# ls -al /usr/ports/net-p2p/rtorrent/files/
total 6
drwxr-xr-x  2 root  wheel  512 Nov 10 20:45 .
drwxr-xr-x  3 root  wheel  512 Nov 10 20:45 ..
-rw-r--r--  1 root  wheel  498 Oct 20  2005 pkg-message.in

After applying the provided patch, the port builds successfully.

Regards,

Jase.
Comment 4 cb 2008-11-13 22:38:11 UTC
sorry to ask, how to i apply the patch ?

/chris
Comment 5 Sunpoet Po-Chuan Hsieh 2008-11-14 02:42:39 UTC
On Thu, Nov 13, 2008 at 11:38:11PM +0100, Christian Bygnes wrote:
> sorry to ask, how to i apply the patch ?
>
> /chris

Just before this patch being committed, you may build net-p2p/rtorrent using
"make EXTRA_PATCHES=" to skip EXTRA_PATCHES explicitly.

- Sunpoet
Comment 6 dfilter service freebsd_committer 2008-11-16 22:22:21 UTC
flz         2008-11-16 22:22:06 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/libtorrent   Makefile 
    net-p2p/libtorrent-devel Makefile 
    net-p2p/rtorrent     Makefile 
    net-p2p/rtorrent-devel Makefile 
  Log:
  Only add extra patches if they are present.
  
  PR:             ports/128775 [1], ports/128807 [2], ports/128921 [3]
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net> [1]
                  Jimmie James <jimmiejaz@gmail.com> [2]
                  Falko Richter <xendorphin@gmail.com> [3]
  
  Revision  Changes    Path
  1.21      +2 -0      ports/net-p2p/libtorrent-devel/Makefile
  1.46      +2 -0      ports/net-p2p/libtorrent/Makefile
  1.23      +3 -0      ports/net-p2p/rtorrent-devel/Makefile
  1.43      +2 -0      ports/net-p2p/rtorrent/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Florent Thoumie freebsd_committer 2008-11-16 22:22:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!